/*
 * @LastEditors: gcz
 */
// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from "vue";
import App from "./App";
import router from "./router";

import store from "./store";

import dataV from "@jiaminghi/data-view";

// 引入全局样式文件
import "@/assets/scss/index.scss";

import { Select, Option, Input } from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

//main.js添加
import filters from './utils/filters'
filters(Vue);

Vue.use(Select);
Vue.use(Option);
Vue.use(Input);

Vue.use(dataV);

Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: "#app",
  router,
  store,
  components: { App },
  template: "<App/>"
});
